Subject: [os2genau_digest] No. 490
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 14 Nov 2002 00:03:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 13 November 2002
 Number  490
**************************************************

Subjects for today
 
1  [os2genau] Internet banking again : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re: [os2genau] Flatbed scanner, parallelport. : Kenneth Bucio <kenneth.bucio at ddf.dk>
3  Re: [os2genau] Internet banking again : John Angelico" <talldad at kepl dot com dot au>
4  [os2genau] OS/2 JNI development : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
5  Re: [os2genau] Fwd: Info required on Javah generated code. : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
6  Re: [os2genau] Internet banking again : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re: [os2genau] OS/2 JNI development : Michael Taylor <miket at pcug dot org dot au>

**= Email   1 ==========================**

Date:  Wed, 13 Nov 2002 06:43:30 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  [os2genau] Internet banking again

Back to our recurring discussion point, I think ANZ have changed
something in their on-line banking.

When using Netscape 4.7 from Windows 2000, the logon panel refuses
to come up and returns an error of site not found although I'm
already at the site on the home page ! Trying exactly the same
access with IE 5 gives no problem at all. It used to work OK with
Netscape, I suspect the logic when they switch from HTTP to secure
HTTPS has been changed.

Here's the "killer" though - Netscape 4.61 under OS/2 doesn't have
the problem - only under Windoze !!

Has anyone else experienced this ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 13 Nov 2002 00:46:10 +0100
From:  Kenneth Bucio <kenneth.bucio at ddf.dk>
Subject:  Re: [os2genau] Flatbed scanner, parallelport.

Have not been able to find Copyshop2 anywhere.
best regards Kenneth Bucio

Kris Steenhaut wrote:

>Alan Duval schreef:
>
>  
>
>>Might be worth downloading Copyshop2 from Hobbes as it has a driver with it.
>>
>>    
>>
>
>Are you absolutely sure it IS on hobbes?
>
>
>--
>Groeten uit Gent,
>
>   Kris
>
>

> 

>
>  
>

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 13 Nov 2002 09:53:23 +1100 (EDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re: [os2genau] Internet banking again

On Wed, 13 Nov 2002 06:43:30 +1100, Ed Durrant wrote:

Hi Ed.

I have had seemingly inexplicable problems with different sites, although I
can't compare a Win system or IE with my OS/2-eCS.

I often have trouble with proxy/caching - I use SmartCache, with various
options (eg throw away advertising), and logins are the ones usually
causing me grief. I either have to switch off proxy (direct connect) or
exempt that site from proxying (in manual proxy option).

One login script (called "daflogin.asp") seems to be supplied in a MS
webdev toolkit, since I have seen it at several sites (NY Times, my Credit
Union Internet banking and CPA Australia site). For each I have to switch
off caching.

So check that you are comparing like with like. Do you have any proxy/cache
difference s b/w OS/2 and Win?

Best regards
John Angelico
OS/2 SIG
talldad at melbpc dot org dot au or talldad at kepl dot com dot au
____________________________________________

>Back to our recurring discussion point, I think ANZ have changed
>something in their on-line banking.
>
>When using Netscape 4.7 from Windows 2000, the logon panel refuses
>to come up and returns an error of site not found although I'm
>already at the site on the home page ! Trying exactly the same
>access with IE 5 gives no problem at all. It used to work OK with
>Netscape, I suspect the logic when they switch from HTTP to secure
>HTTPS has been changed.
>
>Here's the "killer" though - Netscape 4.61 under OS/2 doesn't have
>the problem - only under Windoze !!
>
>Has anyone else experienced this ??
>
>Cheers/2
>
>Ed.

> 

>
>

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... ERROR #2720: [ OUT OF TAGLINES, PLEASE ORDER MORE ]
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 13 Nov 2002 15:37:38 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] OS/2 JNI development

Hi All,
	Has anyone done any JNI development?
	Java Native Interface is where java calls a Dll directly.

	I'm having some problems with the javah compiler.

	If I get it to produce the stubs file, it does it with a linkage
of _optlink, whereas the -jni option (which produces a .h file), uses
JNICALL which appears to be defined as _System (amongst other things).

	When looking at the NT version of the dll, I get _Java_xxxx,
whereas the OS/2 version gives me Java_xxxx - they are defined as EXTERN
C, so I'd have thought that the generated exports should have had the
leading underscore.

	Can someone who has done this before, please get in contact with
me?

	I'm try to produce some stuff for LimeWire.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 13 Nov 2002 18:00:27 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Fwd: Info required on Javah generated code.

On Tue, 12 Nov 2002 21:39:07 -0800, Neil Waldhauer wrote:

Part of my problem _may_ be that I only have the JDK for 1.1 but I'm using
the compiled DLL with java 1.3, but I don't think so, as it works under
both...

However, what you sent me, does not work, as I get compilation problems.
Here is what I had to do.

javac HelloWorld.java
javah -jni HelloWorld

icc /Ge- hello.c hello.def

Now for the interesting results (Java 1.1.8 is the default java env):

set beginlibpath=X:\xx...
java HelloWorld
runs class and loads the dll (I added some DosBeep()'s in the method) I
hear the beeps but it produces no printed output!!!!

But with Java 1.3
c:\java13\jre\bin\java HelloWorld
Beeps and display's the hello word! Note that I did not have to set up the
libpath in any form! So it works.

The only real difference here is that I had to supply the -jni switch to
javah. The problem here is that the stubs are totally different when not
specified.

Now to answer the question below:

>> The generated file contains code like this 
>> 
>> JNIEXPORT void JNICALL somefunctionname();
>> 
>> where JNIEXPORT is _Export and JNICALL is _System which are defined in
>> jni.h.
>> 
>> With this syntax in generated file ,at the time of compilation of the file
>> compiler(icc) gives Syntax error.
>> 
>> But as of documentation (in Vage 3.0 compiler) for _Export and _System says
>> syntax should be like this :
>> 
>> void JNICALL JNIEXPORT somefunctionname();

JNIEXPORT void JNICALL somefunctionname();

is totally correct.

void JNICALL JNIEXPORT somefunctionname();

is totally wrong. Simply looking at the definitions of JNICALL and
JNIEXPORT (in jni_md.h) would have told you this.

(Saving you the trouble, what it works out to be is:
#define	JNIEXPORT
#define	JNICALL	_Export _System

thus, it works with VA V3.0.

-Chris

Unfortueately all of this does not help me getting the LimeWire client
working... :-(

>
>Hi Chris,
>
>Here is a note I wrote last June about JNI. I hope it helps.
>
>best regards,
>Neil
>
>** Forwarding message from Neil Waldhauer <neil at blondeguy dot com> on Wed, 26 Jun 2002 11:53:28 -0700
>
>Hi Srinivas,
>
>You have asked a difficult question with a simple answer this time. The Sun
>website says that to compile with an "older" compiler, you will need to make
>changes to some defined constants. It appears that IBM has already made those
>changes, and we only need to activate them.
>
>I  got the JNI sample program HelloWorld, and used javah to create the header
>file.
>
>javac HelloWorld.java
>javah HelloWorld
>
>To compile, I needed to set two defines in the compiler command line.
>_JNI_IMPLEMENTATION_ must be defined to compile jni.h, PROTOTYPE_JNI_ONLY must
>be defined to compile the header file generated by javah, which is called
>HelloWorld.h in the sample program.
>
>I shortened the names from the sample program because DLL names in OS/2 are
>limited to a maximum length of 8 letters. These are the compile and link
>commands I used to create a working JNI dll. (Watch for line wrapping)
>
>icc.exe /Tdp /Sa /Gm /Ge- /Ms /C /D_JNI_IMPLEMENTATION_=1
>/DPROTOTYPE_JNI_ONLY=1 hello.c
>ilink hello.obj hello.def
>
>The resulting hello.dll runs and prints "Hello, world"
>
>j:\java13\jre\bin\java HelloWorld
>
>Best regards,
>
>Neil
>
>Attachments: HelloWorld.java hello.c hello.def
>
>On Wed, 26 Jun 2002 19:14:12 +0530, "Sreenivasulu Gelle, Noida"
><sgelle at noida.hcltech dot com> wrote:
>
>> Hi Neil,
>> I'm using jdk13 which  is provided with installation CD of OS/2.
>> I'm using javah(version1.3.0) to generate header file(.h) file.
>> The generated file contains code like this 
>> 
>> JNIEXPORT void JNICALL somefunctionname();
>> 
>> where JNIEXPORT is _Export and JNICALL is _System which are defined in
>> jni.h.
>> 
>> With this syntax in generated file ,at the time of compilation of the file
>> compiler(icc) gives Syntax error.
>> 
>> But as of documentation (in Vage 3.0 compiler) for _Export and _System says
>> syntax should be like this :
>> 
>> void JNICALL JNIEXPORT somefunctionname();
>> 
>> My Question is  how to generate the code by 'javah' that should be compiled
>> by icc(version 3.0).(OR) Is there any way to change  any template in jdk
>> which will generate code that should be compiled. Please specify the
>> solution.
>> 
>> Thanks & Regards  
>> Sri.
>> 
>> 
>>
>-- 
>Neil Waldhauer  neil at blondeguy dot com  www.blondeguy dot com
>Expert consulting for OS/2 Warp and eComStation
>-- 
>Neil Waldhauer, neil at blondeguy dot com
>
>Ambivalent?  Well, yes and no.
>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 13 Nov 2002 19:11:42 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Internet banking again

You could have hit the nail on the head ! the Win - Netscape was
from work, going through their Proxy server. the OS/2 is from home
through my Firewall/Proxy - hence the difference.

Thanks
Ed.

John Angelico wrote:
> 
> On Wed, 13 Nov 2002 06:43:30 +1100, Ed Durrant wrote:
> 
> Hi Ed.
> 
> I have had seemingly inexplicable problems with different sites, although I
> can't compare a Win system or IE with my OS/2-eCS.
> 
> I often have trouble with proxy/caching - I use SmartCache, with various
> options (eg throw away advertising), and logins are the ones usually
> causing me grief. I either have to switch off proxy (direct connect) or
> exempt that site from proxying (in manual proxy option).
> 
> One login script (called "daflogin.asp") seems to be supplied in a MS
> webdev toolkit, since I have seen it at several sites (NY Times, my Credit
> Union Internet banking and CPA Australia site). For each I have to switch
> off caching.
> 
> So check that you are comparing like with like. Do you have any proxy/cache
> difference s b/w OS/2 and Win?
> 
> Best regards
> John Angelico
> OS/2 SIG
> talldad at melbpc dot org dot au or talldad at kepl dot com dot au
> ____________________________________________
> 
> >Back to our recurring discussion point, I think ANZ have changed
> >something in their on-line banking.
> >
> >When using Netscape 4.7 from Windows 2000, the logon panel refuses
> >to come up and returns an error of site not found although I'm
> >already at the site on the home page ! Trying exactly the same
> >access with IE 5 gives no problem at all. It used to work OK with
> >Netscape, I suspect the logic when they switch from HTTP to secure
> >HTTPS has been changed.
> >
> >Here's the "killer" though - Netscape 4.61 under OS/2 doesn't have
> >the problem - only under Windoze !!
> >
> >Has anyone else experienced this ??
> >
> >Cheers/2
> >
> >Ed.

> > 

> >
> >
> 
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... ERROR #2720: [ OUT OF TAGLINES, PLEASE ORDER MORE ]

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 13 Nov 2002 20:08:51 +0000
From:  Michael Taylor <miket at pcug dot org dot au>
Subject:  Re: [os2genau] OS/2 JNI development

Chris Graham [WarpSpeed] wrote:
> Hi All,
> 	Has anyone done any JNI development?
> 	Java Native Interface is where java calls a Dll directly.
> 
> 	I'm having some problems with the javah compiler.
> 
> 	If I get it to produce the stubs file, it does it with a linkage
> of _optlink, whereas the -jni option (which produces a .h file), uses
> JNICALL which appears to be defined as _System (amongst other things).
> 
> 	When looking at the NT version of the dll, I get _Java_xxxx,
> whereas the OS/2 version gives me Java_xxxx - they are defined as EXTERN
> C, so I'd have thought that the generated exports should have had the
> leading underscore.
> 
> 	Can someone who has done this before, please get in contact with
> me?
> 
> 	I'm try to produce some stuff for LimeWire.

What version of Java? Which C compiler?

The JDK 1.3 has header files that are for VAC 4 amd do not work with VAC 3.

I have looked at this a bit so should be able to help (I modified the
header files to work with VAC3).

-- 
Regards,
Mick

--
-----------------------------------------------------------------------
     Michael Taylor                                 miket at pcug dot org dot au
    -----------------------------------------------------------------
              Home Page:  http://users.bigpond dot net dot au/miket5au
    -----------------------------------------------------------------

-----------------------------------------------------------------------

----------------------------------------------------------------------------------